Bug 19092 - g++ crashes compiling ntl
Summary: g++ crashes compiling ntl
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-13 22:47 UTC by Yaron Minsky
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-27 14:06:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2000:132 normal SHIPPED_LIVE Bug fixing update of GCC 2.96 2000-12-19 05:00:00 UTC

Description Yaron Minsky 2000-10-13 22:47:49 UTC
NTL is victor shoup's NTL library causes the compiler to crash when run.

http://www.shoup.net/ntl/ntl-4.3a.tar.gz

The crash is only on Redhat 7.  Previous redhats work fine.  Here's the
message:

g++ -I../include  -O2 -c GF2E.c
g++ -I../include  -O2 -c GF2EX.c
g++ -I../include  -O2 -c GF2EXFactoring.c
g++ -I../include  -O2 -c GF2X.c
g++ -I../include  -O2 -c GF2X1.c
g++ -I../include  -O2 -c GF2XFactoring.c
g++ -I../include  -O2 -c GF2XVec.c
gcc -I../include  -O2 -c GetTime.c
g++ -I../include  -O2 -c HNF.c
gcc -I../include  -O2 -c IsFinite.c
g++ -I../include  -O2 -c LLL.c
g++ -I../include  -O2 -c LLL_FP.c
g++ -I../include  -O2 -c LLL_QP.c
g++ -I../include  -O2 -c LLL_RR.c
g++ -I../include  -O2 -c LLL_XD.c
LLL_XD.c: In function `long int LLL_XD (mat_ZZ &, mat_ZZ &, double,
long int, long int (*) (const vec_ZZ &), long int)':
LLL_XD.c:641: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.
make[1]: *** [LLL_XD.o] Error 1
make[1]: Leaving directory `/tmp/ntl-4.3a/src'
make: *** [all] Error 2


To reproduce:

untar ntl.
cd to the src directory.
type ./configure
type make

and wait.

Comment 1 Jakub Jelinek 2000-10-27 14:06:09 UTC
Fix submitted to gcc-patches, if it is accepted, will make it into rawhide
and upcoming gcc errata.

Comment 2 Jakub Jelinek 2000-11-13 09:09:02 UTC
Fixed in gcc-c++-2.96-63 in rawhide


Note You need to log in before you can comment on or make changes to this bug.